/* ****************************** UBUNTU ****************************** */
@font-face {
    font-family: 'Ubuntu';
    font-style: italic;
    font-weight: 300;
    font-display: swap;
    src: url('/faces/jakarta.faces.resource/ubuntu/Ubuntu-LightItalic.ttf?ln=charte') format('truetype');
}
@font-face {
    font-family: 'Ubuntu';
    font-style: italic;
    font-weight: 400;
    font-display: swap;
    src: url('/faces/jakarta.faces.resource/ubuntu/Ubuntu-Italic.ttf?ln=charte') format('truetype');
}
@font-face {
    font-family: 'Ubuntu';
    font-style: italic;
    font-weight: 500;
    font-display: swap;
    src: url('/faces/jakarta.faces.resource/ubuntu/Ubuntu-MediumItalic.ttf?ln=charte') format('truetype');
}
@font-face {
    font-family: 'Ubuntu';
    font-style: italic;
    font-weight: 700;
    font-display: swap;
    src: url('/faces/jakarta.faces.resource/ubuntu/Ubuntu-BoldItalic.ttf?ln=charte') format('truetype');
}
@font-face {
    font-family: 'Ubuntu';
    font-style: normal;
    font-weight: 300;
    font-display: swap;
    src: url('/faces/jakarta.faces.resource/ubuntu/Ubuntu-Light.ttf?ln=charte') format('truetype');
}
@font-face {
    font-family: 'Ubuntu';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url('/faces/jakarta.faces.resource/ubuntu/Ubuntu-Regular.ttf?ln=charte') format('truetype');
}
@font-face {
    font-family: 'Ubuntu';
    font-style: normal;
    font-weight: 500;
    font-display: swap;
    src: url('/faces/jakarta.faces.resource/ubuntu/Ubuntu-Medium.ttf?ln=charte') format('truetype');
}
@font-face {
    font-family: 'Ubuntu';
    font-style: normal;
    font-weight: 700;
    font-display: swap;
    src: url('/faces/jakarta.faces.resource/ubuntu/Ubuntu-Bold.ttf?ln=charte') format('truetype');
}
/* ****************************** UBUNTU ****************************** */
* {
    line-height: inherit !important;
}
.modal-open, body {
    overflow-y: auto !important;
}
body {
    color:#ffffff !important;
    background-color:#0a5da9 !important;
    font-family: 'Ubuntu', Arial, "Helvetica Neue", Helvetica, sans-serif !important;
    margin-bottom:0 !important;
}
#wrapper {
    padding-bottom: 0 !important;
}
/* TITRES */
h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
    color:#ffffff !important;
}
a:hover, a:focus {
    color:#ffffff !important;
}
.container {
    padding-left:30px;
    padding-right:30px;
    max-width:675px !important;
}
.main-logo-holder{
    margin-top:40px !important;
    margin-bottom:5px !important;
}
#loginBaseLogoCarrefour{
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
}
.main-logo-holder.container {
    padding:0 !important;
}
.main-logo {
    margin-top:40px;
    max-width: 15%;
    width: 15%;
    height: auto;
}
#login-base h1 {
    letter-spacing: inherit;
    text-transform: inherit;
    font-size: 35px;
    font-family: 'Ubuntu', Arial, "Helvetica Neue", Helvetica, sans-serif !important;
    padding-top: 5px;
}
.page-header {
    margin: 35px 0 20px !important;
    padding-bottom: 0 !important;
    border-bottom: none !important;
}
.bg-transparent {
    background-color:transparent !important;
}
.container {
    background-color:#0b59a1 !important;
}
.mdp-perdu {
    margin-top: 8px;
}
/* BOUTONS */
.btn {
    border-color:#ffffff !important;
    transition: all 0.5s ease;
}
.btn:hover {
    color: #0b59a1 !important;
    background-color: #ffffff !important;
    transition: all 0.5s ease;
}
.aria-label {
    margin-bottom:15px;
    font-size:18px;
    font-weight:normal;
}
/* FORMS */
.form.login {
    max-width: 300px !important;
    margin:0 auto !important;
}
/*form {*/
/*    padding-bottom:50px;*/
/*}*/
.form-group {
    margin-bottom:20px;
}
.form-group-small-margin {
    margin-bottom:0px;
}
.form-control {
    color:#85acd0;
    border-color:#85acd0;
    transition: all 0.5s ease;
}
.form-control:focus {
    color:#ffffff !important;
    box-shadow: none !important;
    border-color: #ffffff !important;
    transition: all 0.5s ease;
}
/* INPUTS */
::-webkit-input-placeholder {
    color:#85acd0 !important;
}
:-moz-placeholder {
    color:#85acd0 !important;
}
::-moz-placeholder {
    color:#85acd0 !important;
}
:-ms-input-placeholder {
    color:#85acd0 !important;
}
.input, .input-lg {
    border-radius:0 !important;
    font-weight:normal;
    font-size:18px;
    padding:10px !important;
    line-height: inherit !important;
}
.input-lg {
    height:45px !important;
}
.input-lg-alert {
    border-color: red;
}
.input-show-password {
    float: right;
    margin-left: -30px;
    margin-right: 10px;
    margin-top: -35px;
    position: relative;
    padding: 2px;
    z-index: 2;
    width: 24px;
    height: 24px;
    fill: #85acd0;
}
/* MESSAGES INFO ET ERREUR */
.box-message-top{
    display: block;
    text-align: center;
    font-weight : bolder;
    min-height:25px;
    width: 100%;
    font-size: 15px;
    line-height: 15px;
    color: white;
    background-color: #0a5091;
    padding: 17px 20px;
}
.myAcc_MsgHide{
    display: none;
}.myAcc_MsgRead{
     display: block;
 }
.myAcc_MsgExpiredSession{
    background: #0a5091;
    font-size: 15px;
    color: white;
    margin-bottom: 20px;
    padding: 10px;
    text-align: left;
}
.login .remember-forgot{
    margin:0px !important;
}
@media (min-width: 768px) {
    .col-sm-offset-3 {
        float: none !important;
    }
}
.btn:focus, .btn:active:focus, .btn.active:focus, .btn.focus, .btn:active.focus, .btn.active.focus  {
    outline:none !important;
}
#divloader {
    display: block;
    padding: 10px;
}
#loader {
    border: 8px solid #0a5091;
    border-top: 8px solid white;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    -webkit-animation: spin 5s linear infinite;
    animation: spin 5s linear infinite;
    display:inline-block;
    vertical-align:middle;
}
#loadertext {
    display:inline-block;
    vertical-align:middle;
    padding-left: 15px;
}
@-webkit-keyframes spin {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
}
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
/* STYLES SSO 2022 */
:root {
    --dark:#0E3368;
    --primary:#0970E6;
    --primary-hover:#0E48BB;
    --unselected:#A6BBEF;
}
.container {
    max-width:440px !important;
    padding:0 40px 40px 40px !important;
    background-color:white !important;
}
.form.login {
    max-width: 360px !important;
    width: 360px !important;
}
body{
    color: var(--dark) !important;
    background: var(--primary) !important;
}
/* Fond gauche */
body::before{
    content:"";
    display:block;
    background-image: url( "/faces/jakarta.faces.resource/carrefour-2022/images/background-fruits.jpeg?ln=common_ur");
    background-size: cover;
    width:50%;
    height:100%;
    position:absolute;
    left:0;
    top:0;
    bottom:0;
    z-index:-1;
}
/* Motif droit */
body::after{
    content:"";
    display:block;
    background-image: url( "/faces/jakarta.faces.resource/carrefour-2022/images/bulles.png?ln=common_ur");
    background-size: cover;
    width:50%;
    height:100%;
    position:absolute;
    right:0;
    top:0;
    bottom:0;
    z-index:-1;
}
@media screen and (min-width: 1100px) {
    html::after{
        content:"";
        display:block;
        background-image: url( "/faces/jakarta.faces.resource/carrefour-2022/images/digital-workplace.svg?ln=common_ur");
        background-repeat: no-repeat;
        background-position: center;
        background-size: contain;
        width:calc(50% - 340px);
        height:100%;
        position:absolute;
        max-width: 500px;
        left: calc(50% + 280px);
        top:0;
        z-index:-1;
    }
}
h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
    color: var(--dark) !important;
    font-weight: bold !important;
}
h1 {
    padding:0 !important;
    font-size:20px !important;
}
.col-xs-1, .col-sm-1, .col-md-1, .col-lg-1, .col-xs-2, .col-sm-2, .col-md-2, .col-lg-2, .col-xs-3, .col-sm-3, .col-md-3, .col-lg-3, .col-xs-4, .col-sm-4, .col-md-4, .col-lg-4, .col-xs-5, .col-sm-5, .col-md-5, .col-lg-5, .col-xs-6, .col-sm-6, .col-md-6, .col-lg-6, .col-xs-7, .col-sm-7, .col-md-7, .col-lg-7, .col-xs-8, .col-sm-8, .col-md-8, .col-lg-8, .col-xs-9, .col-sm-9, .col-md-9, .col-lg-9, .col-xs-10, .col-sm-10, .col-md-10, .col-lg-10, .col-xs-11, .col-sm-11, .col-md-11, .col-lg-11, .col-xs-12, .col-sm-12, .col-md-12, .col-lg-12
{padding:0 !important;}
a {
    color: var(--primary) !important;
    font-weight:500 !important;
    font-size:16px !important;
    text-align: center;
    position:relative;
}
a:hover, a:focus {
    color:var(--primary-hover) !important;
    text-decoration:none !important;
}
a::after {
    content:"";
    background:white;
    display:block;
    width:0;
    height:1px;
    position:absolute;
    left:50%;
    transform: translateX(-50%);
    bottom:-4px;
    z-index:0;
    transition: all 0.2s ease-in;
}
a:hover::after {
    width:100%;
    background:var(--primary-hover);
    /* transition: all 0.3s ease-in; */
}
a.small {
    font-size: 10px !important;
}
.row {
    margin:0 !important;
}
#login-base, #all {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    background:white !important;
    border-radius: 8px !important;
    overflow: hidden;
    box-shadow: 0px 8px 16px 0px #1133661A; /* DROP SHADOW */
}
.form-group:last-of-type {
    margin:0!important;
}
.main-logo-holder {
    margin-top:0 !important;
}
.main-logo {
    margin-top: 0;
    max-width: 360px;
    width: auto;
    height: auto;
    text-align: center;
}
.btn-round {
    border:none !important;
    border-radius:8px !important;
    font-family: Ubuntu !important;
    font-size:14px !important;
    font-weight:bold !important;
    float:none !important;
    width:100% !important;
    margin-top:40px;
    text-transform: uppercase;
}
.btn-round.bg-transparent {
    background-color: var(--primary) !important;
}
.btn-round.bg-transparent:hover {
    background-color: var(--primary-hover) !important;
    color:white !important;
    transform:scale(1.03);
}
.btn-round.no-margin-top {
    margin-top:0px !important;
}
.pull-left.mdp-perdu {
    float:none !important;
    text-align: center;
}
.input,.input-lg {
    font-weight: 400;
    border-radius: 4px !important;
    font-family:'Ubuntu' !important;
    padding: 10px 8px !important;
    color: var(--dark) !important;
}
.form-control:focus {
    border-color: var(--dark) !important;
    color: var(--dark) !important;
}
.form-control:hover {
    border-color: var(--dark) !important;
}
.aria-label {
    font-size:14px !important;
    margin-bottom:8px !important;
}
.box-message-top {
    background-color:white;
}
/* NEW 04/22 */
.form-control {
    border-color: var(--unselected) !important;
}
.input-show-password {
    fill: var(--primary) !important;
    transition: all 0.2s ease-in;
}
.input-show-password:hover {
    transform: scale(1.15);
    cursor: pointer;
    fill: var(--primary-hover) !important;
}
::-webkit-input-placeholder, :-moz-placeholder, ::-moz-placeholder, :-ms-input-placeholder {
    color: var(--unselected) !important;
}
.link-separator {
    display: inline-block;
    font-size: 13px !important;
    padding: 0 8px;
}
.space-bottom .btn-round {
    margin-top: 0 !important;
    margin-bottom: 20px;
}
.infomfa, .infomfa a {
    font-size: 14px !important;
}
.infomfa a::after {
    bottom: -1px;
}
@media screen and (min-width: 960px) {
    html::after{
        content:"";
        display:block;
        background-image: url( "/faces/jakarta.faces.resource/carrefour-2022/images/digital-workplace.svg?ln=common_ur");
        background-repeat: no-repeat;
        background-position: center;
        background-size: contain;
        width:calc(50% - 340px);
        height:100%;
        position:absolute;
        max-width: 500px;
        left: calc(50% + 280px);
        top:0;
        z-index:-1;
    }
}
@media screen and (max-width: 600px) {
    body::before {
        display:none !important;
    }
    body::after {
        width:100% !important;
        transform:rotateY(180deg);
        height:70%;
        top:auto;
        bottom:0;
    }
    .container {
        width:335px !important;
        padding: 0 20px 20px 20px !important;
    }
    .form.login {
        width:100% !important;
    }
    a {
        font-size: 13px !important;
    }
    .link-separator {
        display: inline-block;
        font-size: 13px !important;
        padding: 0 5px;
    }
    html::after{
        content:"";
        display:block;
        background-image: url( "/faces/jakarta.faces.resource/carrefour-2022/images/digital-workplace.svg?ln=common_ur");
        background-repeat: no-repeat;
        background-position: center;
        background-size: contain;
        width:220px;
        height:44px;
        position:absolute;
        left: calc(50% - 170px);
        bottom:15px;
        z-index:-1;
    }
    .page-header {
        margin: 15px 0 10px !important;
        padding-bottom: 0 !important;
        border-bottom: none !important;
    }
    .btn-round.no-margin-top {
        margin-top: 0px !important;
    }
    .font-size-header{
        font-size: 20px !important;;
    }
}
.form-group-login{
    margin-bottom: 25px !important;
}
.login-font{
    font-size: 14px !important;
}
.font-size-header{
    font-size: 28px;
}
.myAcc-login-group-error{
    position: relative;
    display: flex;
    align-items: center;
    top: 10px;
    justify-content: center;
}
/* items pour instructions mot de passe */
.span-list-password {
	display: block;
	padding: 0.1em;
}
.span-list-recover {
    display: inline-block;
    padding: 0.3em;
    font-weight: 300;
}
